declare const sizeToUnits: {
    readonly '3xs': "32px";
    readonly '2xs': "64px";
    readonly xs: "92px";
    readonly sm: "128px";
    readonly md: "192px";
    readonly lg: "256px";
    readonly xl: "380px";
    readonly '2xl': "512px";
    readonly '3xl': "600px";
};
type __VLS_Props = {
    src: string | object;
    size?: keyof typeof sizeToUnits;
    alt?: string;
    width?: string | number;
    height?: string | number;
    minWidth?: string | number;
    minHeight?: string | number;
    maxWidth?: string | number;
    maxHeight?: string | number;
    overlayIcon?: string;
    overlayIconPrefix?: string;
};
declare var __VLS_1: {
    alt: string;
    src: string | object;
};
type __VLS_Slots = {} & {
    default?: (props: typeof __VLS_1) => any;
};
declare const __VLS_base: import("vue").DefineComponent<__VLS_Props, {}, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {
    click: (...args: any[]) => void;
}, string, import("vue").PublicProps, Readonly<__VLS_Props> & Readonly<{
    onClick?: (...args: any[]) => any;
}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, false, {}, any>;
declare const __VLS_export: __VLS_WithSlots<typeof __VLS_base, __VLS_Slots>;
declare const _default: typeof __VLS_export;
export default _default;
type __VLS_WithSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
